textures/roflcopter/tileclip
{
    qer_editorImage textures/roflcopter/red_tile_glow.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm playerclip
    surfaceparm nodamage
    surfaceparm slick
    cull back
    {
        map textures/roflcopter/red_tile_glow.tga
        blendFunc add
        rgbGen wave sin 0.15 0.04 0 1
    }
}

textures/roflcopter/stratosphere
{
    qer_editorImage env/roflcopter/stratosphere_ft.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_globalTexture
    q3map_lightRGB 1.0 1.0 1.0
    q3map_lightSubdivide 256
    q3map_surfacelight 105
    surfaceparm sky
    q3map_sunExt 1.0 1.0 1.0 110 270 45 2 16
    skyParms env/roflcopter/stratosphere - -
}

textures/roflcopter/pink
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/pink.tga
        blendFunc filter
    }
}

textures/roflcopter/pink_sl
{
    qer_editorImage textures/roflcopter/pink.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/pink.tga
        blendFunc filter
    }
}

textures/roflcopter/pink_icy
{
    q3map_lightImage textures/roflcopter/pink.tga
    qer_editorImage textures/roflcopter/qer_pink_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/pink.tga
        blendFunc filter
    }
    {
        map textures/_roflcopter/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/roflcopter/maya
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/maya.tga
        blendFunc filter
    }
}

textures/roflcopter/maya_sl
{
    qer_editorImage textures/roflcopter/maya.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/maya.tga
        blendFunc filter
    }
}

textures/roflcopter/maya_icy
{
    q3map_lightImage textures/roflcopter/maya.tga
    qer_editorImage textures/roflcopter/qer_maya_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/maya.tga
        blendFunc filter
    }
    {
        map textures/_roflcopter/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/roflcopter/babyskin
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/babyskin.tga
        blendFunc filter
    }
}

textures/roflcopter/babyskin_sl
{
    qer_editorImage textures/roflcopter/babyskin.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/babyskin.tga
        blendFunc filter
    }
}

textures/roflcopter/babyskin_icy
{
    q3map_lightImage textures/roflcopter/babyskin.tga
    qer_editorImage textures/roflcopter/qer_babyskin_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/babyskin.tga
        blendFunc filter
    }
    {
        map textures/_roflcopter/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}


textures/roflcopter/liver
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/liver.tga
        blendFunc filter
    }
}

textures/roflcopter/liver_sl
{
    qer_editorImage textures/roflcopter/liver.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/liver.tga
        blendFunc filter
    }
}

textures/roflcopter/liver_icy
{
    q3map_lightImage textures/roflcopter/liver.tga
    qer_editorImage textures/roflcopter/qer_liver_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/liver.tga
        blendFunc filter
    }
    {
        map textures/_roflcopter/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/roflcopter/amethyst
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/amethyst.tga
        blendFunc filter
    }
}

textures/roflcopter/amethyst_sl
{
    qer_editorImage textures/roflcopter/amethyst.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/amethyst.tga
        blendFunc filter
    }
}

textures/roflcopter/amethyst_icy
{
    q3map_lightImage textures/roflcopter/amethyst.tga
    qer_editorImage textures/roflcopter/qer_amethyst_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/amethyst.tga
        blendFunc filter
    }
    {
        map textures/_roflcopter/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/roflcopter/dollar
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/dollar.tga
        blendFunc filter
    }
}

textures/roflcopter/dollar_sl
{
    qer_editorImage textures/roflcopter/dollar.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/dollar.tga
        blendFunc filter
    }
}

textures/roflcopter/dollar_icy
{
    q3map_lightImage textures/roflcopter/dollar.tga
    qer_editorImage textures/roflcopter/qer_dollar_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/dollar.tga
        blendFunc filter
    }
    {
        map textures/_roflcopter/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/roflcopter/fawn
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/fawn.tga
        blendFunc filter
    }
}

textures/roflcopter/fawn_sl
{
    qer_editorImage textures/roflcopter/fawn.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/fawn.tga
        blendFunc filter
    }
}

textures/roflcopter/fawn_icy
{
    q3map_lightImage textures/roflcopter/fawn.tga
    qer_editorImage textures/roflcopter/qer_fawn_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/fawn.tga
        blendFunc filter
    }
    {
        map textures/_roflcopter/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/roflcopter/electric
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/electric.tga
        blendFunc filter
    }
}

textures/roflcopter/electric_sl
{
    qer_editorImage textures/roflcopter/electric.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/electric.tga
        blendFunc filter
    }
}

textures/roflcopter/electric_icy
{
    q3map_lightImage textures/roflcopter/electric.tga
    qer_editorImage textures/roflcopter/qer_electric_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/electric.tga
        blendFunc filter
    }
    {
        map textures/_roflcopter/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/roflcopter/cerulean
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/cerulean.tga
        blendFunc filter
    }
}

textures/roflcopter/cerulean_sl
{
    qer_editorImage textures/roflcopter/cerulean.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/cerulean.tga
        blendFunc filter
    }
}

textures/roflcopter/cerulean_icy
{
    q3map_lightImage textures/roflcopter/cerulean.tga
    qer_editorImage textures/roflcopter/qer_cerulean_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/cerulean.tga
        blendFunc filter
    }
    {
        map textures/_roflcopter/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/roflcopter/burgundy
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/burgundy.tga
        blendFunc filter
    }
}

textures/roflcopter/burgundy_sl
{
    qer_editorImage textures/roflcopter/burgundy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/burgundy.tga
        blendFunc filter
    }
}

textures/roflcopter/burgundy_icy
{
    q3map_lightImage textures/roflcopter/burgundy.tga
    qer_editorImage textures/roflcopter/qer_burgundy_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/burgundy.tga
        blendFunc filter
    }
    {
        map textures/_roflcopter/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/roflcopter/sapphire
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/sapphire.tga
        blendFunc filter
    }
}

textures/roflcopter/sapphire_sl
{
    qer_editorImage textures/roflcopter/sapphire.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/sapphire.tga
        blendFunc filter
    }
}

textures/roflcopter/sapphire_icy
{
    q3map_lightImage textures/roflcopter/sapphire.tga
    qer_editorImage textures/roflcopter/qer_sapphire_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/sapphire.tga
        blendFunc filter
    }
    {
        map textures/_roflcopter/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/roflcopter/chartreuse
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/chartreuse.tga
        blendFunc filter
    }
}

textures/roflcopter/chartreuse_sl
{
    qer_editorImage textures/roflcopter/chartreuse.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/chartreuse.tga
        blendFunc filter
    }
}

textures/roflcopter/chartreuse_icy
{
    q3map_lightImage textures/roflcopter/chartreuse.tga
    qer_editorImage textures/roflcopter/qer_chartreuse_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/chartreuse.tga
        blendFunc filter
    }
    {
        map textures/_roflcopter/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/roflcopter/desert
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/desert.tga
        blendFunc filter
    }
}

textures/roflcopter/desert_sl
{
    qer_editorImage textures/roflcopter/desert.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/desert.tga
        blendFunc filter
    }
}

textures/roflcopter/desert_icy
{
    q3map_lightImage textures/roflcopter/desert.tga
    qer_editorImage textures/roflcopter/qer_desert_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/desert.tga
        blendFunc filter
    }
    {
        map textures/_roflcopter/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/roflcopter/xanadu
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/xanadu.tga
        blendFunc filter
    }
}

textures/roflcopter/xanadu_sl
{
    qer_editorImage textures/roflcopter/xanadu.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/xanadu.tga
        blendFunc filter
    }
}

textures/roflcopter/xanadu_icy
{
    q3map_lightImage textures/roflcopter/xanadu.tga
    qer_editorImage textures/roflcopter/qer_xanadu_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/xanadu.tga
        blendFunc filter
    }
    {
        map textures/_roflcopter/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/roflcopter/pumpkin
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/pumpkin.tga
        blendFunc filter
    }
}

textures/roflcopter/pumpkin_sl
{
    qer_editorImage textures/roflcopter/pumpkin.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/pumpkin.tga
        blendFunc filter
    }
}

textures/roflcopter/pumpkin_icy
{
    q3map_lightImage textures/roflcopter/pumpkin.tga
    qer_editorImage textures/roflcopter/qer_pumpkin_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/pumpkin.tga
        blendFunc filter
    }
    {
        map textures/_roflcopter/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/roflcopter/onyx
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/onyx.tga
        blendFunc filter
    }
}

textures/roflcopter/onyx_sl
{
    qer_editorImage textures/roflcopter/onyx.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/onyx.tga
        blendFunc filter
    }
}

textures/roflcopter/onyx_icy
{
    q3map_lightImage textures/roflcopter/onyx.tga
    qer_editorImage textures/roflcopter/qer_onyx_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/onyx.tga
        blendFunc filter
    }
    {
        map textures/_roflcopter/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/roflcopter/iris
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/iris.tga
        blendFunc filter
    }
}

textures/roflcopter/iris_sl
{
    qer_editorImage textures/roflcopter/iris.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/iris.tga
        blendFunc filter
    }
}

textures/roflcopter/iris_icy
{
    q3map_lightImage textures/roflcopter/iris.tga
    qer_editorImage textures/roflcopter/qer_iris_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/iris.tga
        blendFunc filter
    }
    {
        map textures/_roflcopter/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/roflcopter/maize
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/maize.tga
        blendFunc filter
    }
}

textures/roflcopter/maize_sl
{
    qer_editorImage textures/roflcopter/maize.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/maize.tga
        blendFunc filter
    }
}

textures/roflcopter/maize_icy
{
    q3map_lightImage textures/roflcopter/maize.tga
    qer_editorImage textures/roflcopter/qer_maize_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/maize.tga
        blendFunc filter
    }
    {
        map textures/_roflcopter/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/roflcopter/eggplant
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/eggplant.tga
        blendFunc filter
    }
}

textures/roflcopter/eggplant_sl
{
    qer_editorImage textures/roflcopter/eggplant.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/eggplant.tga
        blendFunc filter
    }
}

textures/roflcopter/eggplant_icy
{
    q3map_lightImage textures/roflcopter/eggplant.tga
    qer_editorImage textures/roflcopter/qer_eggplant_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/eggplant.tga
        blendFunc filter
    }
    {
        map textures/_roflcopter/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/roflcopter/sangria
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/sangria.tga
        blendFunc filter
    }
}

textures/roflcopter/sangria_sl
{
    qer_editorImage textures/roflcopter/sangria.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/sangria.tga
        blendFunc filter
    }
}

textures/roflcopter/sangria_icy
{
    q3map_lightImage textures/roflcopter/sangria.tga
    qer_editorImage textures/roflcopter/qer_sangria_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/sangria.tga
        blendFunc filter
    }
    {
        map textures/_roflcopter/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/roflcopter/rust
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/rust.tga
        blendFunc filter
    }
}

textures/roflcopter/rust_sl
{
    qer_editorImage textures/roflcopter/rust.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/rust.tga
        blendFunc filter
    }
}

textures/roflcopter/rust_icy
{
    q3map_lightImage textures/roflcopter/rust.tga
    qer_editorImage textures/roflcopter/qer_rust_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/rust.tga
        blendFunc filter
    }
    {
        map textures/_roflcopter/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/roflcopter/tilenooby
{
    qer_editorImage textures/roflcopter/tilenooby.tga
    surfaceparm nodamage   
    {
        map $lightmap
    }
    {
        map textures/roflcopter/tilenooby.tga
        blendFunc filter
    }
}

textures/roflcopter/tilenooby_sl
{
    qer_editorImage textures/roflcopter/tilenooby.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/tilenooby.tga
        blendFunc filter
    }
}

textures/roflcopter/tilenooby_icy
{
    q3map_lightImage textures/roflcopter/tilenooby.tga
    qer_editorImage textures/roflcopter/qer_tilenooby_icy.jpg
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/tilenooby.tga
        blendFunc filter
    }
    {
        map textures/_roflcopter/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/roflcopter/walljump_striped
{
    qer_editorImage textures/roflcopter/walljump_striped.tga
    surfaceparm nodamage
    {
        map textures/roflcopter/walljump_striped.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/roflcopter/walljump
{
    qer_editorImage textures/roflcopter/walljump.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/walljump.tga
        blendFunc filter
    }
}

textures/roflcopter/dark_floor
{
    qer_editorImage textures/roflcopter/dark_floor.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/dark_floor.jpg
        blendFunc filter
    }
}

textures/roflcopter/barrier
{
    qer_editorImage textures/roflcopter/barrier.tga
    surfaceparm detail
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/barrier.tga
        blendFunc filter
    }
}

textures/roflcopter/gray
{
    qer_editorImage textures/roflcopter/gray.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/gray.tga
        blendFunc filter
    }
}

textures/roflcopter/white
{
    qer_editorImage textures/roflcopter/white.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/roflcopter/white.tga
        blendFunc filter
    }
}

textures/roflcopter/glass
{
    q3map_lightImage textures/_roflcopter/glass_radiosity.tga
    qer_editorImage textures/roflcopter/qer_glass.tga
    qer_trans 0.6
    q3map_bounceScale 0.33    
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_roflcopter/q3a_glass_clear.tga
        blendFunc add
        tcGen environment
    }
}

textures/roflcopter/glass_sl
{
    q3map_lightImage textures/_roflcopter/glass_radiosity.tga
    qer_editorImage textures/roflcopter/qer_glass_sl.tga
    qer_trans 0.6
    q3map_bounceScale 0.33
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_roflcopter/q3a_glass_clear.tga
        blendFunc add
        tcGen environment
    }
}

textures/roflcopter/lava
{
    qer_editorImage textures/roflcopter/qer_lava.tga
    qer_nocarve
    q3map_globalTexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 375
    q3map_tessSize 96
    cull disable
    {
        map textures/_roflcopter/q3a_lava_bg.jpg
        tcMod scale 0.10 0.10
        tcMod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map textures/_roflcopter/q3a_lava_fg.tga
        blendFunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/roflcopter/lava_room_walls
{
    qer_editorImage textures/roflcopter/lava_room_walls.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/lava_room_walls.jpg
        blendFunc filter
    }
}

textures/roflcopter/stone_ceiling
{
    qer_editorImage textures/roflcopter/stoneceiling.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/stoneceiling.jpg
        blendFunc filter
    }
}

textures/roflcopter/portal
{
    qer_editorImage textures/roflcopter/portal.tga
    qer_trans 0.7
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/roflcopter/portal.tga
        tcMod scroll 0 1
    }
}

textures/roflcopter/wood
{
    qer_editorImage textures/roflcopter/wood.jpg
    q3map_bounceScale 0.7
    surfaceparm detail
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/roflcopter/wood.jpg
        blendFunc filter
    }
}

textures/roflcopter/ladder
{
    qer_editorImage textures/roflcopter/ladder.jpg
    q3map_bounceScale 0.7
    surfaceparm detail
    surfaceparm nodamage
    surfaceparm ladder
    {
        map $lightmap
    }
    {
        map textures/roflcopter/ladder.jpg
        blendFunc filter
    }
}

textures/roflcopter/Instructions1
{ 
	qer_editorimage textures/roflcopter/Noobsy.tga
	surfaceparm slick
	nopicmip
	{
		map textures/roflcopter/Noobsy.tga
		blendFunc blend
	}
}


textures/roflcopter/Instructions2
{ 
	qer_editorimage textures/roflcopter/Noobsy2.tga
	surfaceparm slick
	nopicmip
	{
		map textures/roflcopter/Noobsy2.tga
		blendFunc blend
	}
}

textures/roflcopter/Instructions3
{ 
	qer_editorimage textures/roflcopter/Noobsy3.tga
	surfaceparm slick
	nopicmip
	{
		map textures/roflcopter/Noobsy3.tga
		blendFunc blend
	}
}

textures/roflcopter/take_a_flag
{
    qer_editorImage textures/roflcopter/take_a_flag.tga
    polygonOffset
    {
        map textures/roflcopter/take_a_flag.tga
        blendFunc blend
        rgbGen wave square 0.65 0.35 0 0.9
        alphaGen const 1
    }
}

textures/roflcopter/give_up
{
    qer_editorImage textures/roflcopter/give_up.tga
    polygonOffset
    {
        map textures/roflcopter/give_up.tga
        blendFunc blend
        rgbGen wave square 0.65 0.35 0 0.9
        alphaGen const 1
    }
}
